#
# spec file for package python-docstring-to-markdown
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}

Name:           python-docstring-to-markdown
Version:        0.15
Release:        1.3
Summary:        On the fly conversion of Python docstrings to markdown
License:        LGPL-2.1-only
URL:            https://github.com/python-lsp/docstring-to-markdown
Source:         https://github.com/python-lsp/docstring-to-markdown/archive/refs/tags/v%{version}.tar.gz#/docstring-to-markdown-%{version}-gh.tar.gz
BuildRequires:  %{python_module base >= 3.6}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Provides:       python-docstring_to_markdown = %{version}-%{release}
BuildArch:      noarch
%python_subpackages

%description
On the fly conversion of Python docstrings to markdown
  - Python 3.6+
  - currently can recognise reStructuredText and convert
    multiple of its features to Markdown
  - in the future will be able to convert Google docstrings too

%prep
%setup -q -n docstring-to-markdown-%{version}
sed -i -e '/--cov/d' -e '/-flake8/d' setup.cfg

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/docstring_to_markdown
%{python_sitelib}/docstring_to_markdown-%{version}*-info

%changelog
* Sat Apr  6 2024 Dirk Müller <dmueller@suse.com>
- update to 0.15:
  * Fix multi-line links and incorrect dunder escapes in code
- update to 0.14:
  * Add plain text and cPython docstring support
* Sat Nov 25 2023 Dirk Müller <dmueller@suse.com>
- update to 0.13:
  * Google style support
* Thu Nov  9 2023 Giacomo Comes <gcomes.obs@gmail.com>
- add sle15_python_module_pythons
* Sun Mar 26 2023 Dirk Müller <dmueller@suse.com>
- update to 0.12:
  * Respect directive regex flags
  * feat: include tests in source distribution
* Wed Dec  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.11
  * Enhancements
  Parse syntax within tables #19
  Complete support for RST admonitions #20
  * Maintenance
  Move away from deprecated SPDX identifier, update links #18
  Add Python 3.10 to test matrix #21
  Enable GitHub dependency tracking #22
  Add Python 3.11 to testing matrix #23
  Prepare 0.11 release #24
* Sun Nov  6 2022 Ben Greiner <code@bnavigator.de>
- Initial specfile for v0.10
- Required by python-python-lsp-server
